VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::BootTypes::NetworkProtocol Class Reference

The `Boot.NetworkProtocol` enumerated type defines the valid network boot protocols supported when booting a virtual machine with Boot.Type.EFI firmware over the network. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, IPV4, IPV6 }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static NetworkProtocol[] | GetValues ()
static NetworkProtocol | ValueOf (string name)
## Static Public Attributes
static readonly NetworkProtocol | IPV4 = new NetworkProtocol("IPV4", Values.IPV4)
| PXE or Apple NetBoot over IPv4.
static readonly NetworkProtocol | IPV6 = new NetworkProtocol("IPV6", Values.IPV6)
| PXE over IPv6.

## Detailed Description

The `Boot.NetworkProtocol` enumerated type defines the valid network boot protocols supported when booting a virtual machine with Boot.Type.EFI firmware over the network.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::BootTypes::NetworkProtocol::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  IPV4 | PXE or Apple NetBoot over IPv4.
  IPV6 | PXE over IPv6.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::BootTypes::NetworkProtocol::GetEnumValue | ( |  | ) | `[inline]`

static NetworkProtocol [] vmware::vcenter::vm::hardware::BootTypes::NetworkProtocol::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::BootTypes::NetworkProtocol::IsUnknown | ( |  | ) | `[inline]`

static NetworkProtocol vmware::vcenter::vm::hardware::BootTypes::NetworkProtocol::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly NetworkProtocol vmware::vcenter::vm::hardware::BootTypes::NetworkProtocol::IPV4 = new NetworkProtocol("IPV4", Values.IPV4)`[static]`

PXE or Apple NetBoot over IPv4.

readonly NetworkProtocol vmware::vcenter::vm::hardware::BootTypes::NetworkProtocol::IPV6 = new NetworkProtocol("IPV6", Values.IPV6)`[static]`

PXE over IPv6.

The documentation for this class was generated from the following file:

- BootTypes.cs